Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.itl.cas
Class MetricId

    java.lang.Object
      com.endeca.itl.cas.MetricId

All Implemented Interfaces:
  java.io.Serializable

    public class MetricId

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `_ARCHIVED_DIRECTORIES_CRAWLED`
`static java.lang.String` | `_ARCHIVED_DIRECTORIES_FILTERED`
`static java.lang.String` | `_ARCHIVED_FILES_CRAWLED`
`static java.lang.String` | `_ARCHIVED_FILES_FILTERED`
`static java.lang.String` | `_CRAWL_MODE`
`static java.lang.String` | `_CRAWL_STATE`
`static java.lang.String` | `_DELETED_RECORDS`
`static java.lang.String` | `_DIRECTORIES_CRAWLED`
`static java.lang.String` | `_DIRECTORIES_FILTERED`
`static java.lang.String` | `_DURATION_IN_SECONDS`
`static java.lang.String` | `_END_TIME`
`static java.lang.String` | `_FAILED_TEXT_EXTRACTIONS`
`static java.lang.String` | `_FILES_CRAWLED`
`static java.lang.String` | `_FILES_FILTERED`
`static java.lang.String` | `_NEW_OR_UPDATED_RECORDS`
`static java.lang.String` | `_NONARCHIVED_DIRECTORIES_CRAWLED`
`static java.lang.String` | `_NONARCHIVED_DIRECTORIES_FILTERED`
`static java.lang.String` | `_NONARCHIVED_FILES_CRAWLED`
`static java.lang.String` | `_NONARCHIVED_FILES_FILTERED`
`static java.lang.String` | `_START_TIME`
`static java.lang.String` | `_SUCCESSFUL_TEXT_EXTRACTIONS`
`static java.lang.String` | `_SUCCESSFUL_TEXT_EXTRACTIONS_AFTER_RETRY`
`static java.lang.String` | `_TOTAL_RECORDS`
`static MetricId` | `ARCHIVED_DIRECTORIES_CRAWLED`
`static MetricId` | `ARCHIVED_DIRECTORIES_FILTERED`
`static MetricId` | `ARCHIVED_FILES_CRAWLED`
`static MetricId` | `ARCHIVED_FILES_FILTERED`
`static MetricId` | `CRAWL_MODE`
`static MetricId` | `CRAWL_STATE`
`static MetricId` | `DELETED_RECORDS`
`static MetricId` | `DIRECTORIES_CRAWLED`
`static MetricId` | `DIRECTORIES_FILTERED`
`static MetricId` | `DURATION_IN_SECONDS`
`static MetricId` | `END_TIME`
`static MetricId` | `FAILED_TEXT_EXTRACTIONS`
`static MetricId` | `FILES_CRAWLED`
`static MetricId` | `FILES_FILTERED`
`static MetricId` | `NEW_OR_UPDATED_RECORDS`
`static MetricId` | `NONARCHIVED_DIRECTORIES_CRAWLED`
`static MetricId` | `NONARCHIVED_DIRECTORIES_FILTERED`
`static MetricId` | `NONARCHIVED_FILES_CRAWLED`
`static MetricId` | `NONARCHIVED_FILES_FILTERED`
`static MetricId` | `START_TIME`
`static MetricId` | `SUCCESSFUL_TEXT_EXTRACTIONS`
`static MetricId` | `SUCCESSFUL_TEXT_EXTRACTIONS_AFTER_RETRY`
`static MetricId` | `TOTAL_RECORDS`

Constructor Summary
`protected` | `MetricId(java.lang.String value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static MetricId` | `fromString(java.lang.String value)`
`static MetricId` | `fromValue(java.lang.String value)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)`
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)`
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`java.lang.String` | `getValue()`
`int` | `hashCode()`
`java.lang.Object` | `readResolve()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _FILES_CRAWLED

    public static final java.lang.String _FILES_CRAWLED

See Also:
  Constant Field Values

### _DIRECTORIES_CRAWLED

    public static final java.lang.String _DIRECTORIES_CRAWLED

See Also:
  Constant Field Values

### _ARCHIVED_FILES_CRAWLED

    public static final java.lang.String _ARCHIVED_FILES_CRAWLED

See Also:
  Constant Field Values

### _ARCHIVED_DIRECTORIES_CRAWLED

    public static final java.lang.String _ARCHIVED_DIRECTORIES_CRAWLED

See Also:
  Constant Field Values

### _NONARCHIVED_FILES_CRAWLED

    public static final java.lang.String _NONARCHIVED_FILES_CRAWLED

See Also:
  Constant Field Values

### _NONARCHIVED_DIRECTORIES_CRAWLED

    public static final java.lang.String _NONARCHIVED_DIRECTORIES_CRAWLED

See Also:
  Constant Field Values

### _FILES_FILTERED

    public static final java.lang.String _FILES_FILTERED

See Also:
  Constant Field Values

### _DIRECTORIES_FILTERED

    public static final java.lang.String _DIRECTORIES_FILTERED

See Also:
  Constant Field Values

### _ARCHIVED_FILES_FILTERED

    public static final java.lang.String _ARCHIVED_FILES_FILTERED

See Also:
  Constant Field Values

### _ARCHIVED_DIRECTORIES_FILTERED

    public static final java.lang.String _ARCHIVED_DIRECTORIES_FILTERED

See Also:
  Constant Field Values

### _NONARCHIVED_FILES_FILTERED

    public static final java.lang.String _NONARCHIVED_FILES_FILTERED

See Also:
  Constant Field Values

### _NONARCHIVED_DIRECTORIES_FILTERED

    public static final java.lang.String _NONARCHIVED_DIRECTORIES_FILTERED

See Also:
  Constant Field Values

### _NEW_OR_UPDATED_RECORDS

    public static final java.lang.String _NEW_OR_UPDATED_RECORDS

See Also:
  Constant Field Values

### _DELETED_RECORDS

    public static final java.lang.String _DELETED_RECORDS

See Also:
  Constant Field Values

### _TOTAL_RECORDS

    public static final java.lang.String _TOTAL_RECORDS

See Also:
  Constant Field Values

### _SUCCESSFUL_TEXT_EXTRACTIONS

    public static final java.lang.String _SUCCESSFUL_TEXT_EXTRACTIONS

See Also:
  Constant Field Values

### _SUCCESSFUL_TEXT_EXTRACTIONS_AFTER_RETRY

    public static final java.lang.String _SUCCESSFUL_TEXT_EXTRACTIONS_AFTER_RETRY

See Also:
  Constant Field Values

### _FAILED_TEXT_EXTRACTIONS

    public static final java.lang.String _FAILED_TEXT_EXTRACTIONS

See Also:
  Constant Field Values

### _DURATION_IN_SECONDS

    public static final java.lang.String _DURATION_IN_SECONDS

See Also:
  Constant Field Values

### _START_TIME

    public static final java.lang.String _START_TIME

See Also:
  Constant Field Values

### _END_TIME

    public static final java.lang.String _END_TIME

See Also:
  Constant Field Values

### _CRAWL_MODE

    public static final java.lang.String _CRAWL_MODE

See Also:
  Constant Field Values

### _CRAWL_STATE

    public static final java.lang.String _CRAWL_STATE

See Also:
  Constant Field Values

### FILES_CRAWLED

    public static final MetricId FILES_CRAWLED

### DIRECTORIES_CRAWLED

    public static final MetricId DIRECTORIES_CRAWLED

### ARCHIVED_FILES_CRAWLED

    public static final MetricId ARCHIVED_FILES_CRAWLED

### ARCHIVED_DIRECTORIES_CRAWLED

    public static final MetricId ARCHIVED_DIRECTORIES_CRAWLED

### NONARCHIVED_FILES_CRAWLED

    public static final MetricId NONARCHIVED_FILES_CRAWLED

### NONARCHIVED_DIRECTORIES_CRAWLED

    public static final MetricId NONARCHIVED_DIRECTORIES_CRAWLED

### FILES_FILTERED

    public static final MetricId FILES_FILTERED

### DIRECTORIES_FILTERED

    public static final MetricId DIRECTORIES_FILTERED

### ARCHIVED_FILES_FILTERED

    public static final MetricId ARCHIVED_FILES_FILTERED

### ARCHIVED_DIRECTORIES_FILTERED

    public static final MetricId ARCHIVED_DIRECTORIES_FILTERED

### NONARCHIVED_FILES_FILTERED

    public static final MetricId NONARCHIVED_FILES_FILTERED

### NONARCHIVED_DIRECTORIES_FILTERED

    public static final MetricId NONARCHIVED_DIRECTORIES_FILTERED

### NEW_OR_UPDATED_RECORDS

    public static final MetricId NEW_OR_UPDATED_RECORDS

### DELETED_RECORDS

    public static final MetricId DELETED_RECORDS

### TOTAL_RECORDS

    public static final MetricId TOTAL_RECORDS

### SUCCESSFUL_TEXT_EXTRACTIONS

    public static final MetricId SUCCESSFUL_TEXT_EXTRACTIONS

### SUCCESSFUL_TEXT_EXTRACTIONS_AFTER_RETRY

    public static final MetricId SUCCESSFUL_TEXT_EXTRACTIONS_AFTER_RETRY

### FAILED_TEXT_EXTRACTIONS

    public static final MetricId FAILED_TEXT_EXTRACTIONS

### DURATION_IN_SECONDS

    public static final MetricId DURATION_IN_SECONDS

### START_TIME

    public static final MetricId START_TIME

### END_TIME

    public static final MetricId END_TIME

### CRAWL_MODE

    public static final MetricId CRAWL_MODE

### CRAWL_STATE

    public static final MetricId CRAWL_STATE

Constructor Detail

### MetricId

    protected MetricId(java.lang.String value)

Method Detail

### getValue

    public java.lang.String getValue()

### fromValue

    public static MetricId fromValue(java.lang.String value)
                              throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### fromString

    public static MetricId fromString(java.lang.String value)
                               throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: Content Acquisition System Web Service Stubs (casStubs)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:19-0500